import BN from 'bn.js';
import * as v1 from './v1';
export { TokenId } from './v1';
export declare type MarketId = string;
export declare type OrderId = string;
export declare type OrderSide = v1.OrderSideV1;
export declare type OrderType = v1.OrderTypeV1;
export interface OpenLimitOrder {
    id: string;
    limitPrice: BN;
    remainingQuantity: BN;
    originalQuantity: BN;
    timestamp: Date;
    side: OrderSide;
    clientId: number | null;
}
export declare function toOpenLimitOrder(view: v1.OpenLimitOrderV1): OpenLimitOrder;
export declare type L2Order = readonly [BN, BN];
export declare function toL2Order(view: v1.L2OpenLimitOrderV1): L2Order;
export interface Orderbook {
    bids: L2Order[];
    asks: L2Order[];
}
export declare function toOrderBook(view: v1.OrderbookViewV1): Orderbook;
export declare type ExchangeBalances = Record<string, BN>;
