"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toOrderBook = exports.toL2Order = exports.toOpenLimitOrder = void 0;
const bn_js_1 = __importDefault(require("bn.js"));
const util_1 = require("../util");
function toOpenLimitOrder(view) {
    return {
        id: view.id,
        limitPrice: new bn_js_1.default(view.limit_price),
        remainingQuantity: new bn_js_1.default(view.open_qty),
        originalQuantity: new bn_js_1.default(view.original_qty),
        timestamp: new Date(view.timestamp / 1000 / 1000),
        side: view.side,
        clientId: view.client_id,
    };
}
exports.toOpenLimitOrder = toOpenLimitOrder;
function toL2Order(view) {
    return [new bn_js_1.default(view.limit_price), new bn_js_1.default(view.open_quantity)];
}
exports.toL2Order = toL2Order;
function toOrderBook(view) {
    const bids = view.bids.map(toL2Order);
    const asks = view.asks.map(toL2Order);
    // sort asks by price descending
    asks.sort((a, b) => (b[0].sub(a[0]).gte(util_1.ZERO) ? 1 : -1));
    return { bids, asks };
}
exports.toOrderBook = toOrderBook;
